title.margin.left
Prev | Pagination and General Styles | Next

## title.margin.left

title.margin.left — Adjust the left margin for titles

## Synopsis

    <xsl:param name="title.margin.left">
      <xsl:choose>
        <xsl:when test="$fop.extensions != 0">-4pc</xsl:when>
        <xsl:when test="$passivetex.extensions != 0">0pt</xsl:when>
        <xsl:otherwise>0pt</xsl:otherwise>
      </xsl:choose>
    </xsl:param>

## Description

This parameter provides the means of adjusting the left margin for titles when the XSL-FO processor being used is an old version of FOP (0.25 and earlier). It is only useful when the `fop.extensions` is nonzero.

The left margin of the body region is calculated to include this space, and titles are outdented to the left outside the body region by this amount, effectively leaving titles at the intended left margin and the body text indented. Currently this method is only used for old FOP because it cannot properly use the `body.start.indent` parameter.

The default value when the `fop.extensions` parameter is nonzero is -4pc, which means the body text is indented 4 picas relative to the titles. The default value when the `fop.extensions` parameter equals zero is 0pt, and the body indent should instead be specified using the `body.start.indent` parameter.

If you set the value to zero, be sure to still include a unit indicator such as `0pt`, or the FO processor will report errors.

Prev | Up | Next
footnote.font.size | Home | draft.mode